import { createRawSnippet } from "svelte";
import { renderToString } from "react-dom/server";
import { hydrateRoot } from "react-dom/client";
export const createSnippet = (fn) => {
    return createRawSnippet((...params) => {
        return {
            render: () => `<div style="display:contents">${renderToString(fn(...params))}</div>`,
            setup(element) {
                const root = hydrateRoot(element, fn(...params));
                $effect(() => {
                    root.render(fn(...params));
                });
                return () => root.unmount();
            },
        };
    });
};
